
Redmine - Defect #19197

Missing notification if assignee was a group

2015-02-26 14:43 - Federico Di Dio

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.6.3   

Resolution: Fixed Affected version:  

Description

If the old assignee of an issue is a group, no mail is sent to notify change of assignee.

The feature was clearly intended to be there, as there are explicit checks for this case.

Attached a patch for trunk.

Related issues:

Related to Redmine - Feature #2694: Notification on loosing assignment Closed 2009-02-07

Associated revisions

Revision 14049 - 2015-03-07 09:20 - Jean-Philippe Lang

Missing notification if previous assignee was a group (#19197).

Revision 14056 - 2015-03-08 10:41 - Jean-Philippe Lang

Merged r14049 (#19197).

Revision 14057 - 2015-03-08 10:41 - Jean-Philippe Lang

Merged r14049 (#19197).

History

#1 - 2015-02-26 14:46 - Federico Di Dio

Original feature #2694 introduced with r8695.

#2 - 2015-03-07 06:49 - Go MAEDA

- Related to Feature #2694: Notification on loosing assignment added

#3 - 2015-03-07 06:50 - Go MAEDA

- Category changed from Issues to Email notifications

#4 - 2015-03-07 09:21 - Jean-Philippe Lang

- Tracker changed from Patch to Defect

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.3

- Resolution set to Fixed

Fix committed in r14049, thanks for pointing this out.

#5 - 2015-03-08 10:41 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#6 - 2015-03-17 19:53 - Deoren Moor
https://www.redmine.org/issues/2694
https://www.redmine.org/projects/redmine/repository/svn/revisions/8695
https://www.redmine.org/projects/redmine/repository/svn/revisions/14049


Is this feature separate from the Email Notifications setting?

Settings > Email notifications > Select actions for which email notifications should be sent > Issue updated >

 Assignee updated 

 With v2.6.3 we're noticing notifications for Assignee changes when the previous Assignee was a group, but not when the previous Assignee was a

specific user.

Is the group assignment change notification also subject to the Email notifications setting or is it a separate feature?

#7 - 2015-03-17 20:47 - Jean-Philippe Lang

Deoren Moor wrote:

Is this feature separate from the Email Notifications setting?

 If this setting (Issue updated > Assignee updated) is checked, a notification should sent whenever the assignee changed (no matter if it was a user, a

group or nobody).

This defect that was fixed in 2.6.3 is about who was notified: if the previous assignee was a group, the group members were not notified.

#8 - 2015-03-17 22:57 - Deoren Moor

Jean-Philippe Lang wrote:

Deoren Moor wrote:

Is this feature separate from the Email Notifications setting?

 If this setting (Issue updated > Assignee updated) is checked, a notification should sent whenever the assignee changed (no matter if it was a

user, a group or nobody).

This defect that was fixed in 2.6.3 is about who was notified: if the previous assignee was a group, the group members were not notified.

 Thanks for clarifying that. I think we're seeing unintentional behavior with the new change.

We have a project called "Unassigned" where all incoming issues are stored. They're assigned to a a group for processing. A member of that group

thens take those unassigned tickets and assigned to the appropriate technician.

When we ran 2.6.1 with these Email notification settings:

[x] Issue added

[ ] Issue updated

    [x] Note added

    [ ] Status updated

    [ ] Assignee updated

    [ ] Priority updated

[x] News added

[x] Comment added to a news

[x] Document added

[x] File added

[x] Message added

[x] Wiki page added

[x] Wiki page updated

 everyone in the group was notified of the new issue, but nothing past that, regardless of whether a Note was added to the issue when it was moved.

Now after the upgrade to 2.6.3 with the same Email notification settings the group is notified when the issue is reassigned. Presumably this only

occurs if a comment is added, but we have not tested that part.

Is this the intended behavior? I'll be happy to open a new issue and test various scenarios if it's not.

#9 - 2015-03-18 07:50 - Jean-Philippe Lang

Yes, it's the expected behaviour after the fix, is it a problem for you ?

#10 - 2015-03-18 14:05 - Deoren Moor

Jean-Philippe Lang wrote:

Yes, it's the expected behaviour after the fix

 Thank you for your reply. To be clear, should we see an email notification when the Assignee changes even if we have the Email notification settings

2025-07-04 2/3



as indicated in #19197#note-8? I had to go back and modify that post to include the missing option so the list would properly match our settings (both

before and after the upgrade to 2.6.3).

is it a problem for you ?

 I personally like the feature, but my team members are less enthusiastic about it.

It seems if I read your last post properly then that feature is tied to the [ ] Assignee updated option on the Email notifications tab. If it's checked,

then those notices are sent, otherwise if it is not checked, no notifications would be sent. If that's true then we wouldn't be receiving these notifications

at all.

#11 - 2015-03-21 20:45 - Deoren Moor

I opened #19443 and used some of my previous comments to explain the issue. Please let me know if I can assist with testing any patches/changes

to help resolve this.

#12 - 2015-08-15 12:27 - Michal Kowalski

I get no notifications that issue was created when asignee is a group in   Redmine version                2.6.3.stable.14166

#13 - 2015-09-09 11:23 - Toshi MARUYAMA

Michal Kowalski wrote:

I get no notifications that issue was created when asignee is a group in   Redmine version                2.6.3.stable.14166

 Do not post on closed issue.

Check your mail addresses of list are all valid (#8157).

Files

fix_old_assignee_group_notification.diff 518 Bytes 2015-02-26 Federico Di Dio
